<?php
/**
 * Createing a contact us page pannel for customizer
 *
 */

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'luzuk_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'luzuk-premium' ),
        // 'panel' => 'luzuk_premium_home_panel'
		'priority' =>20
	)
);

lzCustomLable($wp_customize, 'contuspg_detailbx', 'luzuk_premium_contactus_section', 'Detail Box ');

$wp_customize->add_setting(
	'lzk_contactpg_addtitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Our Address', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'lzk_contactpg_addtitle',
	array(
		'settings'      => 'lzk_contactpg_addtitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Address Title', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_contactus_address',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Add Address here..', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_address',
	array(
		'settings'      => 'luzuk_contactus_address',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Address Text', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'lzk_contactpg_emailtitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Email', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'lzk_contactpg_emailtitle',
	array(
		'settings'      => 'lzk_contactpg_emailtitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_email',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Info@Gmail.Com', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_email',
	array(
		'settings'      => 'luzuk_contactus_email',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email ID', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'lzk_contactpg_phtitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Support 24/7', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'lzk_contactpg_phtitle',
	array(
		'settings'      => 'lzk_contactpg_phtitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_phone',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '+ 1111-222-333', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phone',
	array(
		'settings'      => 'luzuk_contactus_phone',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_contpageclr', 'luzuk_premium_contactus_section', 'Detail Box Color ');

addColorPalatOption($wp_customize, 'luzuk_contactus_phemicnClr', 'luzuk_premium_contactus_section', 'Address , Email , Phone Icon Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_phemicnbgClr', 'luzuk_premium_contactus_section', 'Address , Email , Phone Icon BG Color', '#f9dbd5');

addColorPalatOption($wp_customize, 'luzuk_contactus_phemtitleClr', 'luzuk_premium_contactus_section', 'Address Title , Email Title , Phone Title Color', '#2E2E2D');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemClr', 'luzuk_premium_contactus_section', 'Address Text , Email , Phone No. Color', '#7f7e7e');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemhvClr', 'luzuk_premium_contactus_section', 'Email , Phone No. Hover Color', '#FC6441');


lzCustomLable($wp_customize, 'luzuk_sec_Formcontpageclr', 'luzuk_premium_contactus_section', 'Form Box ');

$wp_customize->add_setting(
	'scodetitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Get In Touch!', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'scodetitle',
	array(
		'settings'      => 'scodetitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Form Box Title', 'luzuk Premium' )
	)
);

// form
addColorPalatOption($wp_customize, 'luzuk_contactus_formtitleClr', 'luzuk_premium_contactus_section', 'Form Box Title Color', '#000');


$wp_customize->add_setting(
	'luzuk_contactus_shortcode',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '[your Shortcode]' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode',
	array(
		'settings'      => 'luzuk_contactus_shortcode',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Form Shortcode Here', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'contuspg_dfmclr', 'luzuk_premium_contactus_section', 'Form Color ');

addColorPalatOption($wp_customize, 'luzuk_contactus_frmbgClr', 'luzuk_premium_contactus_section', 'Form BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formlabelColor', 'luzuk_premium_contactus_section', 'Form Label Color', '#fff');

addColorPalatOption($wp_customize, 'contactus_formlabelbgClr', 'luzuk_premium_contactus_section', 'Form Label BG Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtextplaceColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Color', '#656565');

addColorPalatOption($wp_customize, 'luzuk_contactus_formborderbottomColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Border Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnColor', 'luzuk_premium_contactus_section', 'Form Button Text Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnhoverColor', 'luzuk_premium_contactus_section', 'Form Button Text Hover Color', '#FC6441');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbrdClr', 'luzuk_premium_contactus_section', 'Form Button Border Color', '#ccc');

lzCustomLable($wp_customize, 'contactus_bximag', 'luzuk_premium_contactus_section', 'Box Image');

$wp_customize->add_setting(
    'conpg_subimg',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'conpg_subimg',
        array(
            'section' => 'luzuk_premium_contactus_section',
            'settings' => 'conpg_subimg',
            'description' => __('Recommended Image Size: 463X793', 'luzuk-premium')
        )
    )
);

$wp_customize->add_setting(
    'debxheading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Consult The Services', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'debxheading',
    array(
        'settings'      => 'debxheading',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'text',
        'label'         => __( 'Box Heading ', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'debxtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'You Need Now!', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'debxtitle',
    array(
        'settings'      => 'debxtitle',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'text',
        'label'         => __( 'Box Title ', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'debxtxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Lorem Ipsum Dolor Sit Amet, Consectetur Adipiscing Elit. Sed Do Eiusmod Tempor Incididunt Ut Labore Et Dolore Magna Aliqua. Ut Enim Ad Minim Veniam.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'debxtxt',
    array(
        'settings'      => 'debxtxt',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'textarea',
        'label'         => __( 'Box Text ', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'debxlst',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '<li>Lorem Ipsum Dolor Sit Amet</li>
<li>Labore Et Dolore Magna Aliqua.</li>
<li>Eiusmod Tempor Incididunt</li>
<li>Lorem Ipsum Dolor Sit Amet, Adipiscing Elit</li>', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'debxlst',
    array(
        'settings'      => 'debxlst',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'textarea',
        'label'         => __( 'Box List Text', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'contactus_bxbtn', 'luzuk_premium_contactus_section', 'Box Color');

addColorPalatOption($wp_customize, 'contactus_bxbgClr', 'luzuk_premium_contactus_section', 'Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'contactus_bxheadingClr', 'luzuk_premium_contactus_section', 'Box Heading Color', '#212121');

addColorPalatOption($wp_customize, 'contactus_bxtitleClr', 'luzuk_premium_contactus_section', 'Box Title Color', '#FC6441');

addColorPalatOption($wp_customize, 'contactus_bxtxtClr', 'luzuk_premium_contactus_section', 'Box Text Color', '#000');

addColorPalatOption($wp_customize, 'contactus_bxlsttxtClr', 'luzuk_premium_contactus_section', 'Box List Text Color', '#ccc');

addColorPalatOption($wp_customize, 'contactus_bxlsticnClr', 'luzuk_premium_contactus_section', 'Box List Icon Color', '#FC6441');

lzCustomLable($wp_customize, 'contactus_bxbtn', 'luzuk_premium_contactus_section', 'Box Button');

$wp_customize->add_setting(
    'phbtm',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '+0 (1234)-567-8901', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'phbtm',
    array(
        'settings'      => 'phbtm',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'text',
        'label'         => __( 'Box Button Number', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'contactus_bxbtnicnClr', 'luzuk_premium_contactus_section', 'Box Button Icon Color', '#FC6441');

addColorPalatOption($wp_customize, 'contactus_bxbtnicnbgClr', 'luzuk_premium_contactus_section', 'Box Button Icon BG Color', '#fff');

addColorPalatOption($wp_customize, 'contactus_bxbtnbgClr', 'luzuk_premium_contactus_section', 'Box Button BG Color', '#faf7f7');

addColorPalatOption($wp_customize, 'contactus_bxbtnnumClr', 'luzuk_premium_contactus_section', 'Box Button Number Color', '#FC6441');

addColorPalatOption($wp_customize, 'contactus_bxbtnnumhvClr', 'luzuk_premium_contactus_section', 'Box Button Number Hover Color', '#000');